Bug 876399 - Review Request: perl-ExtUtils-Typemaps-Default - Set of useful typemaps
Review Request: perl-ExtUtils-Typemaps-Default - Set of useful typemaps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 876401 891952
Blocks: 887913
  Show dependency treegraph
 
Reported: 2012-11-13 21:43 EST by Miro Hrončok
Modified: 2013-03-02 15:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-18 15:34:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-11-13 21:43:48 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-ExtUtils-Typemaps-Default.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-ExtUtils-Typemaps-Default-1.01-1.fc17.src.rpm
Description:

ExtUtils::Typemaps::Default is an ExtUtils::Typemaps subclass that provides
a set of default mappings (in addition to what perl itself provides). These
default mappings are currently defined as the combination of the mappings
provided by the following typemap classes which are provided in this
distribution:

ExtUtils::Typemaps::ObjectMap
ExtUtils::Typemaps::STL
ExtUtils::Typemaps::Basic

Fedora Account System Username: churchyard
Comment 2 Petr Pisar 2013-01-04 10:00:54 EST
Dropping invalid dependency bug #584722. perl(ExtUtils::Typemaps) >= 1.00 is provided by perl in F19.
Comment 3 Petr Pisar 2013-01-04 10:42:29 EST
Spec from from SRPM is newer than standalone new. Using SRPM version for this review.

URL and Source0 are Ok.
Source tar ball is original (SHA-256: bfd420e91c762b395c87e6748bb72f48ebab4a8b8917508034d6c2ba4ece034c). Ok.
Summary verified from META.yml. Ok.
Description verified from lib/ExtUtils/Typemaps/Default.pm. Ok.
License verified from lib/**/.pm. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Remove deleting empty directories. Modern Module::Build does not leave empty directories.

TODO: Do not package META.json, there are no unique useful data.

All tests pass. Ok.

$ rpmlint perl-ExtUtils-Typemaps-Default.spec ../SRPMS/perl-ExtUtils-Typemaps-Default-1.01-2.fc19.src.rpm ../RPMS/noarch/perl-ExtUtils-Typemaps-Default-1.01-2.fc19.noarch.rpm 
perl-ExtUtils-Typemaps-Default.src: W: spelling-error %description -l en_US typemap -> type map, type-map, typeface
perl-ExtUtils-Typemaps-Default.noarch: W: spelling-error %description -l en_US typemap -> type map, type-map, typeface
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-ExtUtils-Typemaps-Default-1.01-2.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jan  4 16:18 /usr/share/doc/perl-ExtUtils-Typemaps-Default-1.01
-rw-r--r--    1 root    root                      710 Oct  6 11:46 /usr/share/doc/perl-ExtUtils-Typemaps-Default-1.01/Changes
-rw-r--r--    1 root    root                     2490 Oct  6 11:46 /usr/share/doc/perl-ExtUtils-Typemaps-Default-1.01/META.json
-rw-r--r--    1 root    root                     2054 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemap::Basic.3pm.gz
-rw-r--r--    1 root    root                     2052 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemap::Default.3pm.gz
-rw-r--r--    1 root    root                     2066 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemap::ObjectMap.3pm.gz
-rw-r--r--    1 root    root                     2053 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemap::STL.3pm.gz
-rw-r--r--    1 root    root                     2061 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemap::STL::String.3pm.gz
-rw-r--r--    1 root    root                     2063 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemap::STL::Vector.3pm.gz
-rw-r--r--    1 root    root                     2392 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemaps::Basic.3pm.gz
-rw-r--r--    1 root    root                     2404 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemaps::Default.3pm.gz
-rw-r--r--    1 root    root                     2666 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemaps::ObjectMap.3pm.gz
-rw-r--r--    1 root    root                     2431 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemaps::STL.3pm.gz
-rw-r--r--    1 root    root                     2507 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemaps::STL::String.3pm.gz
-rw-r--r--    1 root    root                     2573 Jan  4 16:18 /usr/share/man/man3/ExtUtils::Typemaps::STL::Vector.3pm.gz
drwxr-xr-x    2 root    root                        0 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils
drwxr-xr-x    2 root    root                        0 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap
-rw-r--r--    1 root    root                      778 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap/Basic.pm
-rw-r--r--    1 root    root                      782 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap/Default.pm
-rw-r--r--    1 root    root                      814 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap/ObjectMap.pm
drwxr-xr-x    2 root    root                        0 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap/STL
-rw-r--r--    1 root    root                      762 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap/STL.pm
-rw-r--r--    1 root    root                      824 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap/STL/String.pm
-rw-r--r--    1 root    root                      824 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemap/STL/Vector.pm
drwxr-xr-x    2 root    root                        0 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps
-rw-r--r--    1 root    root                     2088 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps/Basic.pm
-rw-r--r--    1 root    root                     1925 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps/Default.pm
-rw-r--r--    1 root    root                     4994 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps/ObjectMap.pm
drwxr-xr-x    2 root    root                        0 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps/STL
-rw-r--r--    1 root    root                     1840 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps/STL.pm
-rw-r--r--    1 root    root                     2294 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps/STL/String.pm
-rw-r--r--    1 root    root                     8800 Jan  4 16:18 /usr/share/perl5/vendor_perl/ExtUtils/Typemaps/STL/Vector.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-ExtUtils-Typemaps-Default-1.01-2.fc19.noarch.rpm | sort |uniq -c
      1 perl(ExtUtils::Typemaps)
      1 perl(ExtUtils::Typemaps) >= 1.00
      1 perl(ExtUtils::Typemaps::Basic)
      1 perl(ExtUtils::Typemaps::Default)
      1 perl(ExtUtils::Typemaps::ObjectMap)
      1 perl(ExtUtils::Typemaps::STL)
      1 perl(ExtUtils::Typemaps::STL::String)
      1 perl(ExtUtils::Typemaps::STL::Vector)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

TODO: Filter under-specified (unversiones) `perl(ExtUtils::Typemaps)' from run-time dependencies.

$ rpm -q --provides -p ../RPMS/noarch/perl-ExtUtils-Typemaps-Default-1.01-2.fc19.noarch.rpm | sort |uniq -c
      1 perl(ExtUtils::Typemap::Basic) = 1.01
      1 perl(ExtUtils::Typemap::Default) = 1.01
      1 perl(ExtUtils::Typemap::ObjectMap) = 1.01
      1 perl(ExtUtils::Typemaps::Basic) = 1.01
      1 perl(ExtUtils::Typemaps::Default) = 1.01
      1 perl-ExtUtils-Typemaps-Default = 1.01-2.fc19
      1 perl(ExtUtils::Typemaps::ObjectMap) = 1.01
      1 perl(ExtUtils::Typemaps::STL) = 1.01
      1 perl(ExtUtils::Typemaps::STL::String) = 1.01
      1 perl(ExtUtils::Typemaps::STL::Vector) = 1.01
      1 perl(ExtUtils::Typemap::STL) = 1.01
      1 perl(ExtUtils::Typemap::STL::String) = 1.01
      1 perl(ExtUtils::Typemap::STL::Vector) = 1.01
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-ExtUtils-Typemaps-Default-1.01-2.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4840105). Ok.

Package is in line with Fedora and Perl packaging guidelines.

Please consider fixing `TODO' items before building the package.

Resolution: Package APPROVED.
Comment 4 Miro Hrončok 2013-01-06 07:33:04 EST
Spec URL: https://github.com/hroncok/SPECS/raw/master/perl-ExtUtils-Typemaps-Default.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-ExtUtils-Typemaps-Default-1.01-3.fc17.src.rpm

- Removed deleting empty dirs
- Removed META.json from doc
- Filtered unversioned requires
Comment 5 Miro Hrončok 2013-01-06 07:34:55 EST
New Package SCM Request
=======================
Package Name: perl-ExtUtils-Typemaps-Default
Short Description: Set of useful typemaps
Owners: churchyard
Branches: f17 f18
InitialCC: perl-sig
Comment 6 Jon Ciesla 2013-01-07 08:27:17 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-07 14:57:59 EST
perl-ExtUtils-Typemaps-Default-1.01-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-ExtUtils-Typemaps-Default-1.01-3.fc18
Comment 8 Fedora Update System 2013-01-08 15:18:24 EST
perl-ExtUtils-Typemaps-Default-1.01-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-01-18 15:34:47 EST
perl-ExtUtils-Typemaps-Default-1.01-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-02-19 16:25:06 EST
perl-ExtUtils-Typemaps-Default-1.01-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-ExtUtils-Typemaps-Default-1.01-3.fc17
Comment 11 Fedora Update System 2013-03-02 15:13:43 EST
perl-ExtUtils-Typemaps-Default-1.01-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.